# sed will replace these values
%global build_version 2025.427.10412
%global branch master
%global commit 905393640772b8b6af8860b1c50602a210c130ae

Name: copr-ci
Version: %{build_version}
Release: 1%{?dist}
Summary: Sample spec file for testing LizardByte/copr-ci
License: MIT
URL: https://app.lizardbyte.dev

%description
Sample spec file for testing LizardByte/copr-ci

%build
echo '#!/bin/sh' > hello-world.sh
echo 'echo "Hello, World!"' >> hello-world.sh
chmod +x hello-world.sh

%check
# ensure output is correct
./hello-world.sh | grep -q "Hello, World!"

%install
install -D -m 0755 hello-world.sh %{buildroot}%{_bindir}/lizardbyte-hello-world

%files
%{_bindir}/lizardbyte-hello-world

%changelog
